Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Bcast_Node Class Reference

Linked list of broadcast interfaces. More...

`#include <SOCK_Dgram_Bcast.h>`

Collaboration diagram for ACE_Bcast_Node:

[legend]
List of all members.

## Public Member Functions
| ACE_Bcast_Node (ACE_INET_Addr &, ACE_Bcast_Node *)
| Default constructor.
| ~ACE_Bcast_Node (void)
| Destructor.
## Public Attributes
ACE_INET_Addr | bcast_addr_
| Broadcast address for the interface.
ACE_Bcast_Node * | next_
| Pointer to the next interface in the chain.

## Detailed Description

Linked list of broadcast interfaces.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Bcast_Node::ACE_Bcast_Node | ( | ACE_INET_Addr & | ,
|  | ACE_Bcast_Node * |
| ) |

| Default constructor.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Bcast_Node::~ACE_Bcast_Node | ( | void |  | ) |

| Destructor.

## Member Data Documentation

ACE_INET_Addr ACE_Bcast_Node::bcast_addr_

| Broadcast address for the interface.

ACE_Bcast_Node* ACE_Bcast_Node::next_

| Pointer to the next interface in the chain.

The documentation for this class was generated from the following files:

- SOCK_Dgram_Bcast.h
- SOCK_Dgram_Bcast.cpp
- SOCK_Dgram_Bcast.inl